WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Custom-Login and PHP 5.4

[Resolved] Custom-Login and PHP 5.4

  • My hosting provider is making the switch from PHP 5.2 to PHP 5.4.

    I noticed that the plugin does not work with PHP 5.4. I get an error of:
    Warning: Creating default object from empty value in wp-content/plugins/custom-login/custom-login.php on line 103

    Any ideas on how to correct this warning?

    http://wordpress.org/extend/plugins/custom-login/

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Austin Passy

    @austyfrosty

    I am currently working on an update and will add this to the list of issues. A new version should be released by end of day, hopefully I can get find the issue and fix this problem with the next release.

    Plugin Author Austin Passy

    @austyfrosty

    Quick fix before the release add before line 103:

    if ( !$custom_login ) {
    		$custom_login = new stdClass;
    	}

    Awesome Thanks! No longer getting an error. However now the image under the “login form background url” is no longer showing up. Something I did wrong?

    Tried to delete and reupload. Still no luck. Will open new Case.

    Plugin Author Austin Passy

    @austyfrosty

    Looking into that.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘[Resolved] Custom-Login and PHP 5.4’ is closed to new replies.